export declare const params: {
    processId: number;
    capabilities: {
        workspace: {
            applyEdit: boolean;
            workspaceEdit: {
                documentChanges: boolean;
                resourceOperations: string[];
                failureHandling: string;
            };
            didChangeConfiguration: {
                dynamicRegistration: boolean;
            };
            didChangeWatchedFiles: {
                dynamicRegistration: boolean;
            };
            symbol: {
                dynamicRegistration: boolean;
                symbolKind: {
                    valueSet: number[];
                };
            };
            executeCommand: {
                dynamicRegistration: boolean;
            };
            configuration: boolean;
            workspaceFolders: boolean;
        };
        textDocument: {
            publishDiagnostics: {
                relatedInformation: boolean;
                tagSupport: boolean;
            };
            synchronization: {
                dynamicRegistration: boolean;
                willSave: boolean;
                willSaveWaitUntil: boolean;
                didSave: boolean;
            };
            completion: {
                dynamicRegistration: boolean;
                contextSupport: boolean;
                completionItem: {
                    snippetSupport: boolean;
                    commitCharactersSupport: boolean;
                    documentationFormat: string[];
                    deprecatedSupport: boolean;
                    preselectSupport: boolean;
                };
                completionItemKind: {
                    valueSet: number[];
                };
            };
            hover: {
                dynamicRegistration: boolean;
                contentFormat: string[];
            };
            signatureHelp: {
                dynamicRegistration: boolean;
                signatureInformation: {
                    documentationFormat: string[];
                    parameterInformation: {
                        labelOffsetSupport: boolean;
                    };
                };
            };
            definition: {
                dynamicRegistration: boolean;
                linkSupport: boolean;
            };
            references: {
                dynamicRegistration: boolean;
            };
            documentHighlight: {
                dynamicRegistration: boolean;
            };
            documentSymbol: {
                dynamicRegistration: boolean;
                symbolKind: {
                    valueSet: number[];
                };
                hierarchicalDocumentSymbolSupport: boolean;
            };
            codeAction: {
                dynamicRegistration: boolean;
                codeActionLiteralSupport: {
                    codeActionKind: {
                        valueSet: string[];
                    };
                };
            };
            codeLens: {
                dynamicRegistration: boolean;
            };
            formatting: {
                dynamicRegistration: boolean;
            };
            rangeFormatting: {
                dynamicRegistration: boolean;
            };
            onTypeFormatting: {
                dynamicRegistration: boolean;
            };
            rename: {
                dynamicRegistration: boolean;
                prepareSupport: boolean;
            };
            documentLink: {
                dynamicRegistration: boolean;
            };
            typeDefinition: {
                dynamicRegistration: boolean;
                linkSupport: boolean;
            };
            implementation: {
                dynamicRegistration: boolean;
                linkSupport: boolean;
            };
            colorProvider: {
                dynamicRegistration: boolean;
            };
            foldingRange: {
                dynamicRegistration: boolean;
                rangeLimit: number;
                lineFoldingOnly: boolean;
            };
            declaration: {
                dynamicRegistration: boolean;
                linkSupport: boolean;
            };
        };
    };
    initializationOptions: {
        config: {
            editor: {
                fontFamily: string;
                fontWeight: string;
                fontSize: number;
                lineHeight: number;
                letterSpacing: number;
                lineNumbers: string;
                renderFinalNewline: boolean;
                rulers: never[];
                wordSeparators: string;
                tabSize: number;
                insertSpaces: boolean;
                detectIndentation: boolean;
                roundedSelection: boolean;
                scrollBeyondLastLine: boolean;
                scrollBeyondLastColumn: number;
                smoothScrolling: boolean;
                minimap: {
                    enabled: boolean;
                    side: string;
                    showSlider: string;
                    renderCharacters: boolean;
                    maxColumn: number;
                };
                hover: {
                    enabled: boolean;
                    delay: number;
                    sticky: boolean;
                };
                find: {
                    seedSearchStringFromSelection: boolean;
                    autoFindInSelection: boolean;
                    globalFindClipboard: boolean;
                    addExtraSpaceOnTop: boolean;
                };
                wordWrap: string;
                wordWrapColumn: number;
                wrappingIndent: string;
                mouseWheelScrollSensitivity: number;
                fastScrollSensitivity: number;
                multiCursorModifier: string;
                multiCursorMergeOverlapping: boolean;
                quickSuggestions: {
                    other: boolean;
                    comments: boolean;
                    strings: boolean;
                };
                quickSuggestionsDelay: number;
                parameterHints: {
                    enabled: boolean;
                    cycle: boolean;
                };
                autoClosingBrackets: string;
                autoClosingQuotes: string;
                autoSurround: string;
                formatOnType: boolean;
                formatOnPaste: boolean;
                autoIndent: boolean;
                suggestOnTriggerCharacters: boolean;
                acceptSuggestionOnEnter: string;
                acceptSuggestionOnCommitCharacter: boolean;
                snippetSuggestions: string;
                emptySelectionClipboard: boolean;
                copyWithSyntaxHighlighting: boolean;
                wordBasedSuggestions: boolean;
                suggestSelection: string;
                suggestFontSize: number;
                suggestLineHeight: number;
                tabCompletion: string;
                suggest: {
                    filterGraceful: boolean;
                    localityBonus: boolean;
                    shareSuggestSelections: boolean;
                    snippetsPreventQuickSuggestions: boolean;
                    showIcons: boolean;
                    maxVisibleSuggestions: number;
                    filteredTypes: {
                        keyword: boolean;
                    };
                };
                gotoLocation: {
                    multiple: string;
                };
                selectionHighlight: boolean;
                occurrencesHighlight: boolean;
                overviewRulerLanes: number;
                overviewRulerBorder: boolean;
                cursorBlinking: string;
                mouseWheelZoom: boolean;
                cursorSmoothCaretAnimation: boolean;
                cursorStyle: string;
                cursorWidth: number;
                fontLigatures: boolean;
                hideCursorInOverviewRuler: boolean;
                renderWhitespace: string;
                renderControlCharacters: boolean;
                renderIndentGuides: boolean;
                highlightActiveIndentGuide: boolean;
                renderLineHighlight: string;
                codeLens: boolean;
                folding: boolean;
                foldingStrategy: string;
                showFoldingControls: string;
                matchBrackets: boolean;
                glyphMargin: boolean;
                useTabStops: boolean;
                trimAutoWhitespace: boolean;
                stablePeek: boolean;
                dragAndDrop: boolean;
                accessibilitySupport: string;
                showUnused: boolean;
                links: boolean;
                colorDecorators: boolean;
                lightbulb: {
                    enabled: boolean;
                };
                maxTokenizationLineLength: number;
                codeActionsOnSave: {};
                codeActionsOnSaveTimeout: number;
                largeFileOptimizations: boolean;
                defaultFormatter: null;
                tokenColorCustomizations: {};
                formatOnSave: boolean;
                formatOnSaveTimeout: number;
            };
            diffEditor: {
                renderSideBySide: boolean;
                ignoreTrimWhitespace: boolean;
                renderIndicators: boolean;
            };
            http: {
                proxy: string;
                proxyStrictSSL: boolean;
                proxyAuthorization: null;
                proxySupport: string;
                systemCertificates: boolean;
            };
            telemetry: {
                enableTelemetry: boolean;
                enableCrashReporter: boolean;
                optout: boolean;
            };
            workbench: {
                list: {
                    multiSelectModifier: string;
                    openMode: string;
                    horizontalScrolling: boolean;
                    keyboardNavigation: string;
                    automaticKeyboardNavigation: boolean;
                };
                tree: {
                    horizontalScrolling: boolean;
                    indent: number;
                };
                editor: {
                    showTabs: boolean;
                    highlightModifiedTabs: boolean;
                    labelFormat: string;
                    tabCloseButton: string;
                    tabSizing: string;
                    focusRecentEditorAfterClose: boolean;
                    showIcons: boolean;
                    enablePreview: boolean;
                    enablePreviewFromQuickOpen: boolean;
                    closeOnFileDelete: boolean;
                    openPositioning: string;
                    openSideBySideDirection: string;
                    closeEmptyGroups: boolean;
                    revealIfOpen: boolean;
                    swipeToNavigate: boolean;
                    restoreViewState: boolean;
                    centeredLayoutAutoResize: boolean;
                };
                commandPalette: {
                    history: number;
                    preserveInput: boolean;
                };
                quickOpen: {
                    closeOnFocusLost: boolean;
                    preserveInput: boolean;
                };
                settings: {
                    openDefaultSettings: boolean;
                    useSplitJSON: boolean;
                    openDefaultKeybindings: boolean;
                    enableNaturalLanguageSearch: boolean;
                    settingsSearchTocBehavior: string;
                    editor: string;
                };
                sideBar: {
                    location: string;
                };
                panel: {
                    defaultLocation: string;
                };
                statusBar: {
                    visible: boolean;
                    feedback: {
                        visible: boolean;
                    };
                };
                activityBar: {
                    visible: boolean;
                };
                view: {
                    alwaysShowHeaderActions: boolean;
                };
                fontAliasing: string;
                enableExperiments: boolean;
                useExperimentalGridLayout: boolean;
                startupEditor: string;
                colorTheme: string;
                iconTheme: string;
                colorCustomizations: {
                    '[Nord]': {
                        'list.inactiveFocusBackground': string;
                    };
                };
                tips: {
                    enabled: boolean;
                };
            };
            breadcrumbs: {
                enabled: boolean;
                filePath: string;
                symbolPath: string;
                symbolSortOrder: string;
            };
            window: {
                title: string;
                openFilesInNewWindow: string;
                openFoldersInNewWindow: string;
                openWithoutArgumentsInNewWindow: string;
                restoreWindows: string;
                restoreFullscreen: boolean;
                zoomLevel: number;
                newWindowDimensions: string;
                closeWhenEmpty: boolean;
                doubleClickIconToClose: boolean;
                titleBarStyle: string;
                nativeTabs: boolean;
                nativeFullScreen: boolean;
                clickThroughInactive: boolean;
            };
            zenMode: {
                fullScreen: boolean;
                centerLayout: boolean;
                hideTabs: boolean;
                hideStatusBar: boolean;
                hideActivityBar: boolean;
                hideLineNumbers: boolean;
                restore: boolean;
            };
            problems: {
                decorations: {
                    enabled: boolean;
                };
                autoReveal: boolean;
            };
            keyboard: {
                dispatch: string;
                touchbar: {
                    enabled: boolean;
                };
            };
            comments: {
                openPanel: string;
            };
            remote: {
                extensionKind: {
                    'pub.name': string;
                };
            };
            terminal: {
                integrated: {
                    shell: {
                        linux: string;
                        osx: string;
                        windows: string;
                    };
                    shellArgs: {
                        linux: never[];
                        osx: string[];
                        windows: never[];
                    };
                    macOptionIsMeta: boolean;
                    macOptionClickForcesSelection: boolean;
                    copyOnSelection: boolean;
                    drawBoldTextInBrightColors: boolean;
                    fontFamily: string;
                    fontSize: number;
                    letterSpacing: number;
                    lineHeight: number;
                    fontWeight: string;
                    fontWeightBold: string;
                    cursorBlinking: boolean;
                    cursorStyle: string;
                    scrollback: number;
                    setLocaleVariables: boolean;
                    rendererType: string;
                    rightClickBehavior: string;
                    cwd: string;
                    confirmOnExit: boolean;
                    enableBell: boolean;
                    commandsToSkipShell: never[];
                    env: {
                        osx: {};
                        linux: {};
                        windows: {};
                    };
                    showExitAlert: boolean;
                    splitCwd: string;
                    windowsEnableConpty: boolean;
                    enableLatencyMitigation: boolean;
                    experimentalRefreshOnResume: boolean;
                    windowsAllowConptyTasks: boolean;
                };
                explorerKind: string;
                external: {
                    windowsExec: string;
                    osxExec: string;
                    linuxExec: string;
                };
            };
            debug: {
                allowBreakpointsEverywhere: boolean;
                openExplorerOnEnd: boolean;
                inlineValues: boolean;
                toolBarLocation: string;
                showInStatusBar: string;
                internalConsoleOptions: string;
                openDebug: string;
                enableAllHovers: boolean;
                showSubSessionsInToolBar: boolean;
                console: {
                    fontSize: number;
                    fontFamily: string;
                    lineHeight: number;
                };
                node: {
                    autoAttach: string;
                };
            };
            launch: {
                configurations: {
                    type: string;
                    request: string;
                    name: string;
                    url: string;
                    webRoot: string;
                    sourceMaps: boolean;
                    sourceMapPathOverrides: {
                        'webpack:///*': string;
                    };
                }[];
                compounds: never[];
                version: string;
            };
            outline: {
                icons: boolean;
                problems: {
                    enabled: boolean;
                    colors: boolean;
                    badges: boolean;
                };
            };
            scm: {
                alwaysShowProviders: boolean;
                providers: {
                    visible: number;
                };
                diffDecorations: string;
                diffDecorationsGutterWidth: number;
                alwaysShowActions: boolean;
            };
            files: {
                exclude: {
                    '**/.git': boolean;
                    '**/.svn': boolean;
                    '**/.hg': boolean;
                    '**/CVS': boolean;
                    '**/.DS_Store': boolean;
                };
                associations: {
                    '*.pde': string;
                    '.jsbeautifyrc': string;
                };
                encoding: string;
                autoGuessEncoding: boolean;
                eol: string;
                enableTrash: boolean;
                trimTrailingWhitespace: boolean;
                insertFinalNewline: boolean;
                trimFinalNewlines: boolean;
                autoSave: string;
                autoSaveDelay: number;
                watcherExclude: {
                    '**/.git/objects/**': boolean;
                    '**/.git/subtree-cache/**': boolean;
                    '**/node_modules/**': boolean;
                };
                hotExit: string;
                defaultLanguage: string;
                maxMemoryForLargeFilesMB: number;
            };
            explorer: {
                openEditors: {
                    visible: number;
                };
                autoReveal: boolean;
                enableDragAndDrop: boolean;
                confirmDragAndDrop: boolean;
                confirmDelete: boolean;
                sortOrder: string;
                decorations: {
                    colors: boolean;
                    badges: boolean;
                };
            };
            search: {
                exclude: {
                    '**/node_modules': boolean;
                    '**/bower_components': boolean;
                };
                useRipgrep: boolean;
                maintainFileSearchCache: boolean;
                useIgnoreFiles: boolean;
                useGlobalIgnoreFiles: boolean;
                quickOpen: {
                    includeSymbols: boolean;
                    includeHistory: boolean;
                };
                followSymlinks: boolean;
                smartCase: boolean;
                globalFindClipboard: boolean;
                location: string;
                collapseResults: string;
                useReplacePreview: boolean;
                showLineNumbers: boolean;
                runInExtensionHost: boolean;
                usePCRE2: boolean;
                actionsPosition: string;
            };
            searchRipgrep: {
                enable: boolean;
            };
            extensions: {
                autoUpdate: boolean;
                autoCheckUpdates: boolean;
                ignoreRecommendations: boolean;
                showRecommendationsOnlyOnDemand: boolean;
                closeExtensionDetailsOnViewChange: boolean;
            };
            '[git-commit]': {
                'editor.rulers': number[];
            };
            '[go]': {
                'editor.insertSpaces': boolean;
            };
            '[json]': {
                'editor.quickSuggestions': {
                    strings: boolean;
                };
            };
            '[makefile]': {
                'editor.insertSpaces': boolean;
            };
            '[markdown]': {
                'editor.wordWrap': string;
                'editor.quickSuggestions': boolean;
                'editor.fontFamily': string;
                'editor.wordWrapColumn': number;
            };
            '[yaml]': {
                'editor.insertSpaces': boolean;
                'editor.tabSize': number;
                'editor.autoIndent': boolean;
            };
            css: {
                experimental: {
                    customData: never[];
                };
                completion: {
                    triggerPropertyValueCompletion: boolean;
                };
                validate: boolean;
                lint: {
                    compatibleVendorPrefixes: string;
                    vendorPrefix: string;
                    duplicateProperties: string;
                    emptyRules: string;
                    importStatement: string;
                    boxModel: string;
                    universalSelector: string;
                    zeroUnits: string;
                    fontFaceProperties: string;
                    hexColorLength: string;
                    argumentsInColorFunction: string;
                    unknownProperties: string;
                    validProperties: never[];
                    ieHack: string;
                    unknownVendorSpecificProperties: string;
                    propertyIgnoredDueToDisplay: string;
                    important: string;
                    float: string;
                    idSelector: string;
                    unknownAtRules: string;
                };
                trace: {
                    server: string;
                };
            };
            scss: {
                validate: boolean;
                lint: {
                    compatibleVendorPrefixes: string;
                    vendorPrefix: string;
                    duplicateProperties: string;
                    emptyRules: string;
                    importStatement: string;
                    boxModel: string;
                    universalSelector: string;
                    zeroUnits: string;
                    fontFaceProperties: string;
                    hexColorLength: string;
                    argumentsInColorFunction: string;
                    unknownProperties: string;
                    validProperties: never[];
                    ieHack: string;
                    unknownVendorSpecificProperties: string;
                    propertyIgnoredDueToDisplay: string;
                    important: string;
                    float: string;
                    idSelector: string;
                };
            };
            less: {
                validate: boolean;
                lint: {
                    compatibleVendorPrefixes: string;
                    vendorPrefix: string;
                    duplicateProperties: string;
                    emptyRules: string;
                    importStatement: string;
                    boxModel: string;
                    universalSelector: string;
                    zeroUnits: string;
                    fontFaceProperties: string;
                    hexColorLength: string;
                    argumentsInColorFunction: string;
                    unknownProperties: string;
                    validProperties: never[];
                    ieHack: string;
                    unknownVendorSpecificProperties: string;
                    propertyIgnoredDueToDisplay: string;
                    important: string;
                    float: string;
                    idSelector: string;
                };
            };
            emmet: {
                showExpandedAbbreviation: string;
                showAbbreviationSuggestions: boolean;
                includeLanguages: {};
                variables: {};
                syntaxProfiles: {};
                excludeLanguages: string[];
                extensionsPath: null;
                triggerExpansionOnTab: boolean;
                preferences: {};
                showSuggestionsAsSnippets: boolean;
                optimizeStylesheetParsing: boolean;
            };
            git: {
                enabled: boolean;
                path: null;
                autoRepositoryDetection: boolean;
                autorefresh: boolean;
                autofetch: boolean;
                autofetchPeriod: number;
                branchValidationRegex: string;
                branchWhitespaceChar: string;
                confirmSync: boolean;
                countBadge: string;
                checkoutType: string;
                ignoreLegacyWarning: boolean;
                ignoreMissingGitWarning: boolean;
                ignoreLimitWarning: boolean;
                defaultCloneDirectory: null;
                enableSmartCommit: boolean;
                enableCommitSigning: boolean;
                confirmEmptyCommits: boolean;
                decorations: {
                    enabled: boolean;
                };
                promptToSaveFilesBeforeCommit: boolean;
                postCommitCommand: string;
                showInlineOpenFileAction: boolean;
                showPushSuccessNotification: boolean;
                inputValidation: string;
                inputValidationLength: number;
                inputValidationSubjectLength: number;
                detectSubmodules: boolean;
                detectSubmodulesLimit: number;
                alwaysShowStagedChangesResourceGroup: boolean;
                alwaysSignOff: boolean;
                ignoredRepositories: never[];
                scanRepositories: never[];
                showProgress: boolean;
                rebaseWhenSync: boolean;
                fetchOnPull: boolean;
                autoStash: boolean;
                allowForcePush: boolean;
                useForcePushWithLease: boolean;
                confirmForcePush: boolean;
                openDiffOnClick: boolean;
            };
            grunt: {
                autoDetect: string;
            };
            gulp: {
                autoDetect: string;
            };
            html: {
                experimental: {
                    customData: never[];
                };
                format: {
                    enable: boolean;
                    wrapLineLength: number;
                    unformatted: string;
                    contentUnformatted: string;
                    indentInnerHtml: boolean;
                    preserveNewLines: boolean;
                    maxPreserveNewLines: null;
                    indentHandlebars: boolean;
                    endWithNewline: boolean;
                    extraLiners: string;
                    wrapAttributes: string;
                };
                suggest: {
                    html5: boolean;
                };
                validate: {
                    scripts: boolean;
                    styles: boolean;
                };
                autoClosingTags: boolean;
                trace: {
                    server: string;
                };
            };
            jake: {
                autoDetect: string;
            };
            json: {
                schemas: {
                    fileMatch: string[];
                    url: string;
                }[];
                format: {
                    enable: boolean;
                };
                trace: {
                    server: string;
                };
                colorDecorators: {
                    enable: boolean;
                };
            };
            markdown: {
                styles: never[];
                preview: {
                    breaks: boolean;
                    linkify: boolean;
                    fontFamily: string;
                    fontSize: number;
                    lineHeight: number;
                    scrollPreviewWithEditor: boolean;
                    scrollPreviewWithEditorSelection: boolean;
                    markEditorSelection: boolean;
                    scrollEditorWithPreview: boolean;
                    doubleClickToSwitchToEditor: boolean;
                    openMarkdownLinks: string;
                };
                trace: string;
            };
            'merge-conflict': {
                codeLens: {
                    enabled: boolean;
                };
                decorators: {
                    enabled: boolean;
                };
                autoNavigateNextConflict: {
                    enabled: boolean;
                };
            };
            references: {
                preferredLocation: string;
            };
            npm: {
                autoDetect: string;
                runSilent: boolean;
                packageManager: string;
                exclude: string;
                enableScriptExplorer: boolean;
                scriptExplorerAction: string;
                fetchOnlinePackageInfo: boolean;
            };
            php: {
                suggest: {
                    basic: boolean;
                };
                validate: {
                    enable: boolean;
                    executablePath: null;
                    run: string;
                };
            };
            typescript: {
                tsdk: null;
                disableAutomaticTypeAcquisition: boolean;
                npm: null;
                check: {
                    npmIsInstalled: boolean;
                };
                referencesCodeLens: {
                    enabled: boolean;
                };
                implementationsCodeLens: {
                    enabled: boolean;
                };
                tsserver: {
                    log: string;
                    pluginPaths: never[];
                    trace: string;
                };
                suggest: {
                    completeFunctionCalls: boolean;
                    paths: boolean;
                    autoImports: boolean;
                    completeJSDocs: boolean;
                    enabled: boolean;
                };
                reportStyleChecksAsWarnings: boolean;
                validate: {
                    enable: boolean;
                };
                format: {
                    enable: boolean;
                    insertSpaceAfterCommaDelimiter: boolean;
                    insertSpaceAfterConstructor: boolean;
                    insertSpaceAfterSemicolonInForStatements: boolean;
                    insertSpaceBeforeAndAfterBinaryOperators: boolean;
                    insertSpaceAfterKeywordsInControlFlowStatements: boolean;
                    insertSpaceAfterFunctionKeywordForAnonymousFunctions: boolean;
                    insertSpaceBeforeFunctionParenthesis: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingNonemptyParenthesis: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingNonemptyBrackets: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingNonemptyBraces: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingTemplateStringBraces: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingJsxExpressionBraces: boolean;
                    insertSpaceAfterTypeAssertion: boolean;
                    placeOpenBraceOnNewLineForFunctions: boolean;
                    placeOpenBraceOnNewLineForControlBlocks: boolean;
                };
                tsc: {
                    autoDetect: string;
                };
                locale: null;
                suggestionActions: {
                    enabled: boolean;
                };
                preferences: {
                    quoteStyle: string;
                    importModuleSpecifier: string;
                    renameShorthandProperties: boolean;
                };
                updateImportsOnFileMove: {
                    enabled: string;
                };
                autoClosingTags: boolean;
                surveys: {
                    enabled: boolean;
                };
            };
            javascript: {
                referencesCodeLens: {
                    enabled: boolean;
                };
                suggest: {
                    completeFunctionCalls: boolean;
                    names: boolean;
                    paths: boolean;
                    autoImports: boolean;
                    completeJSDocs: boolean;
                    enabled: boolean;
                };
                validate: {
                    enable: boolean;
                };
                format: {
                    enable: boolean;
                    insertSpaceAfterCommaDelimiter: boolean;
                    insertSpaceAfterConstructor: boolean;
                    insertSpaceAfterSemicolonInForStatements: boolean;
                    insertSpaceBeforeAndAfterBinaryOperators: boolean;
                    insertSpaceAfterKeywordsInControlFlowStatements: boolean;
                    insertSpaceAfterFunctionKeywordForAnonymousFunctions: boolean;
                    insertSpaceBeforeFunctionParenthesis: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingNonemptyParenthesis: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingNonemptyBrackets: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingNonemptyBraces: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingTemplateStringBraces: boolean;
                    insertSpaceAfterOpeningAndBeforeClosingJsxExpressionBraces: boolean;
                    placeOpenBraceOnNewLineForFunctions: boolean;
                    placeOpenBraceOnNewLineForControlBlocks: boolean;
                };
                implicitProjectConfig: {
                    checkJs: boolean;
                    experimentalDecorators: boolean;
                };
                suggestionActions: {
                    enabled: boolean;
                };
                preferences: {
                    quoteStyle: string;
                    importModuleSpecifier: string;
                    renameShorthandProperties: boolean;
                };
                updateImportsOnFileMove: {
                    enabled: string;
                };
                autoClosingTags: boolean;
            };
            emojisense: {
                unicodeCompletionsEnabled: boolean;
                markupCompletionsEnabled: boolean;
                showOnColon: boolean;
                emojiDecoratorsEnabled: boolean;
                languages: {
                    markdown: boolean;
                    plaintext: {
                        markupCompletionsEnabled: boolean;
                        emojiDecoratorsEnabled: boolean;
                    };
                    'git-commit': boolean;
                };
            };
            eslint: {
                enable: boolean;
                packageManager: string;
                alwaysShowStatus: boolean;
                nodePath: null;
                options: {};
                trace: {
                    server: string;
                };
                run: string;
                autoFixOnSave: boolean;
                workingDirectories: never[];
                validate: (string | {
                    autoFix: boolean;
                    language: string;
                })[];
                provideLintTask: boolean;
                runtime: null;
                codeAction: {
                    disableRuleComment: {
                        enable: boolean;
                        location: string;
                    };
                    showDocumentation: {
                        enable: boolean;
                    };
                };
            };
            gitlens: {
                blame: {
                    avatars: boolean;
                    compact: boolean;
                    dateFormat: null;
                    format: string;
                    heatmap: {
                        enabled: boolean;
                        location: string;
                    };
                    highlight: {
                        enabled: boolean;
                        locations: string[];
                    };
                    ignoreWhitespace: boolean;
                    separateLines: boolean;
                    toggleMode: string;
                };
                codeLens: {
                    authors: {
                        command: string;
                        enabled: boolean;
                    };
                    enabled: boolean;
                    includeSingleLineSymbols: boolean;
                    recentChange: {
                        command: string;
                        enabled: boolean;
                    };
                    scopes: string[];
                    scopesByLanguage: ({
                        language: string;
                        scopes: string[];
                        symbolScopes?: undefined;
                    } | {
                        language: string;
                        symbolScopes: string[];
                        scopes?: undefined;
                    })[];
                    symbolScopes: never[];
                };
                currentLine: {
                    dateFormat: null;
                    enabled: boolean;
                    format: string;
                    scrollable: boolean;
                };
                debug: boolean;
                defaultDateFormat: null;
                defaultDateShortFormat: null;
                defaultDateSource: string;
                defaultDateStyle: string;
                defaultGravatarsStyle: string;
                heatmap: {
                    ageThreshold: string;
                    coldColor: string;
                    hotColor: string;
                    toggleMode: string;
                };
                hovers: {
                    annotations: {
                        changes: boolean;
                        details: boolean;
                        enabled: boolean;
                        over: string;
                    };
                    currentLine: {
                        changes: boolean;
                        details: boolean;
                        enabled: boolean;
                        over: string;
                    };
                    avatars: boolean;
                    changesDiff: string;
                    detailsMarkdownFormat: string;
                    enabled: boolean;
                };
                insiders: boolean;
                keymap: string;
                liveshare: {
                    allowGuestAccess: boolean;
                };
                menus: {
                    editor: {
                        blame: boolean;
                        clipboard: boolean;
                        compare: boolean;
                        details: boolean;
                        history: boolean;
                        remote: boolean;
                    };
                    editorGroup: {
                        blame: boolean;
                        compare: boolean;
                    };
                    editorTab: {
                        clipboard: boolean;
                        compare: boolean;
                        history: boolean;
                        remote: boolean;
                    };
                    explorer: {
                        clipboard: boolean;
                        compare: boolean;
                        history: boolean;
                        remote: boolean;
                    };
                    scmGroup: {
                        compare: boolean;
                        openClose: boolean;
                        stash: boolean;
                        stashInline: boolean;
                    };
                    scmItem: {
                        clipboard: boolean;
                        compare: boolean;
                        history: boolean;
                        remote: boolean;
                        stash: boolean;
                    };
                };
                mode: {
                    active: string;
                    statusBar: {
                        enabled: boolean;
                        alignment: string;
                    };
                };
                modes: {
                    zen: {
                        name: string;
                        statusBarItemName: string;
                        description: string;
                        codeLens: boolean;
                        currentLine: boolean;
                        hovers: boolean;
                        statusBar: boolean;
                    };
                    review: {
                        name: string;
                        statusBarItemName: string;
                        description: string;
                        codeLens: boolean;
                        currentLine: boolean;
                        hovers: boolean;
                    };
                };
                outputLevel: string;
                recentChanges: {
                    highlight: {
                        locations: string[];
                    };
                    toggleMode: string;
                };
                remotes: null;
                settings: {
                    mode: string;
                };
                showWhatsNewAfterUpgrades: boolean;
                statusBar: {
                    alignment: string;
                    command: string;
                    dateFormat: null;
                    enabled: boolean;
                    format: string;
                    reduceFlicker: boolean;
                };
                strings: {
                    codeLens: {
                        unsavedChanges: {
                            recentChangeAndAuthors: string;
                            recentChangeOnly: string;
                            authorsOnly: string;
                        };
                    };
                };
                views: {
                    commitFileFormat: string;
                    commitFileDescriptionFormat: string;
                    commitFormat: string;
                    commitDescriptionFormat: string;
                    compare: {
                        avatars: boolean;
                        enabled: boolean;
                        files: {
                            compact: boolean;
                            layout: string;
                            threshold: number;
                        };
                        location: string;
                    };
                    defaultItemLimit: number;
                    pageItemLimit: number;
                    fileHistory: {
                        avatars: boolean;
                        enabled: boolean;
                        location: string;
                    };
                    lineHistory: {
                        avatars: boolean;
                        enabled: boolean;
                        location: string;
                    };
                    repositories: {
                        autoRefresh: boolean;
                        autoReveal: boolean;
                        avatars: boolean;
                        branches: {
                            layout: string;
                        };
                        compact: boolean;
                        enabled: boolean;
                        files: {
                            compact: boolean;
                            layout: string;
                            threshold: number;
                        };
                        includeWorkingTree: boolean;
                        location: string;
                        showTrackingBranch: boolean;
                    };
                    search: {
                        avatars: boolean;
                        enabled: boolean;
                        files: {
                            compact: boolean;
                            layout: string;
                            threshold: number;
                        };
                        location: string;
                    };
                    showRelativeDateMarkers: boolean;
                    stashFileFormat: string;
                    stashFileDescriptionFormat: string;
                    stashFormat: string;
                    stashDescriptionFormat: string;
                    statusFileFormat: string;
                    statusFileDescriptionFormat: string;
                };
                advanced: {
                    abbreviatedShaLength: string;
                    blame: {
                        customArguments: null;
                        delayAfterEdit: number;
                        sizeThresholdAfterEdit: number;
                    };
                    caching: {
                        enabled: boolean;
                    };
                    fileHistoryFollowsRenames: boolean;
                    maxListItems: number;
                    maxSearchItems: number;
                    messages: {
                        suppressCommitHasNoPreviousCommitWarning: boolean;
                        suppressCommitNotFoundWarning: boolean;
                        suppressFileNotUnderSourceControlWarning: boolean;
                        suppressGitDisabledWarning: boolean;
                        suppressGitVersionWarning: boolean;
                        suppressLineUncommittedWarning: boolean;
                        suppressNoRepositoryWarning: boolean;
                        suppressSupportGitLensNotification: boolean;
                    };
                    quickPick: {
                        closeOnFocusOut: boolean;
                    };
                    repositorySearchDepth: number;
                    similarityThreshold: null;
                    telemetry: {
                        enabled: boolean;
                    };
                };
            };
            materialTheme: {
                accent: string;
            };
            prettier: {
                disableLanguages: never[];
                eslintIntegration: boolean;
                tslintIntegration: boolean;
                stylelintIntegration: boolean;
                requireConfig: boolean;
                ignorePath: string;
                printWidth: number;
                tabWidth: number;
                singleQuote: boolean;
                trailingComma: string;
                bracketSpacing: boolean;
                jsxBracketSameLine: boolean;
                parser: string;
                semi: boolean;
                useTabs: boolean;
                proseWrap: string;
                arrowParens: string;
                jsxSingleQuote: boolean;
                htmlWhitespaceSensitivity: string;
                endOfLine: string;
                quoteProps: string;
            };
            githubPullRequests: {
                telemetry: {
                    enabled: boolean;
                };
                hosts: never[];
                logLevel: string;
                remotes: null;
                includeRemotes: string;
                defaultMergeMethod: string;
                showInSCM: boolean;
            };
            github: {
                hosts: never[];
            };
            tslint: {
                jsEnable: boolean;
                configFile: string;
                ignoreDefinitionFiles: boolean;
                exclude: null;
                alwaysShowRuleFailuresAsWarnings: boolean;
                suppressWhileTypeErrorsPresent: boolean;
            };
            vetur: {
                useWorkspaceDependencies: boolean;
                completion: {
                    autoImport: boolean;
                    useScaffoldSnippets: boolean;
                    tagCasing: string;
                };
                grammar: {
                    customBlocks: {
                        docs: string;
                        i18n: string;
                    };
                };
                validation: {
                    template: boolean;
                    style: boolean;
                    script: boolean;
                };
                format: {
                    enable: boolean;
                    options: {
                        tabSize: number;
                        useTabs: boolean;
                    };
                    defaultFormatter: {
                        html: string;
                        css: string;
                        postcss: string;
                        scss: string;
                        less: string;
                        stylus: string;
                        js: string;
                        ts: string;
                    };
                    defaultFormatterOptions: {
                        'js-beautify-html': {
                            wrap_attributes: string;
                        };
                        prettyhtml: {
                            printWidth: number;
                            singleQuote: boolean;
                            wrapAttributes: boolean;
                            sortAttributes: boolean;
                        };
                    };
                    styleInitialIndent: boolean;
                    scriptInitialIndent: boolean;
                };
                trace: {
                    server: string;
                };
                dev: {
                    vlsPath: string;
                    vlsPort: number;
                    logLevel: string;
                };
                experimental: {
                    templateInterpolationService: boolean;
                };
            };
            polacode: {
                shadow: string;
                transparentBackground: boolean;
                backgroundColor: string;
                target: string;
            };
            vim: {
                debug: {
                    silent: boolean;
                    loggingLevelForAlert: string;
                    loggingLevelForConsole: string;
                };
                normalModeKeyBindings: {
                    before: string[];
                    commands: string[];
                }[];
                normalModeKeyBindingsNonRecursive: never[];
                useCtrlKeys: boolean;
                leader: string;
                searchHighlightColor: string;
                highlightedyank: {
                    enable: boolean;
                    color: string;
                    duration: number;
                };
                useSystemClipboard: boolean;
                overrideCopy: boolean;
                insertModeKeyBindings: never[];
                insertModeKeyBindingsNonRecursive: never[];
                visualModeKeyBindings: never[];
                visualModeKeyBindingsNonRecursive: never[];
                textwidth: number;
                timeout: number;
                scroll: number;
                showcmd: boolean;
                showmodename: boolean;
                iskeyword: string;
                ignorecase: boolean;
                smartcase: boolean;
                camelCaseMotion: {
                    enable: boolean;
                };
                easymotion: boolean;
                easymotionMarkerBackgroundColor: string;
                easymotionMarkerForegroundColorOneChar: string;
                easymotionMarkerForegroundColorTwoChar: string;
                easymotionMarkerWidthPerChar: number;
                easymotionMarkerHeight: number;
                easymotionMarkerFontFamily: string;
                easymotionMarkerFontSize: string;
                easymotionMarkerFontWeight: string;
                easymotionMarkerYOffset: number;
                easymotionKeys: string;
                easymotionJumpToAnywhereRegex: string;
                sneak: boolean;
                sneakUseIgnorecaseAndSmartcase: boolean;
                surround: boolean;
                hlsearch: boolean;
                incsearch: boolean;
                history: number;
                autoindent: boolean;
                startInInsertMode: boolean;
                handleKeys: {
                    '<C-d>': boolean;
                };
                statusBarColorControl: boolean;
                statusBarColors: {
                    normal: string;
                    insert: string;
                    visual: string;
                    visualline: string;
                    visualblock: string;
                    replace: string;
                };
                visualstar: boolean;
                changeWordIncludesWhitespace: boolean;
                foldfix: boolean;
                mouseSelectionGoesIntoVisualMode: boolean;
                disableExtension: boolean;
                enableNeovim: boolean;
                neovimPath: string;
                substituteGlobalFlag: boolean;
                cursorStylePerMode: {
                    normal: string;
                    insert: string;
                    replace: string;
                    visual: string;
                    visualline: string;
                    visualblock: string;
                };
                autoSwitchInputMethod: {
                    enable: boolean;
                    defaultIM: string;
                    switchIMCmd: string;
                    obtainIMCmd: string;
                };
                whichwrap: string;
                report: number;
                digraphs: {};
            };
            '[typescript]': {
                'editor.defaultFormatter': string;
            };
            '[vue]': {
                'editor.defaultFormatter': string;
            };
            '[html]': {
                'editor.defaultFormatter': string;
            };
        };
    };
    trace: string;
    workspaceFolders: {
        uri: string;
        name: string;
    }[];
};
