import * as ts from 'typescript';
import { TextDocument } from 'vscode-languageserver-types';
import { LanguageModelCache } from '../../embeddedSupport/languageModelCache';
import { T_TypeScript } from '../../services/dependencyService';
export declare function getServiceHost(tsModule: T_TypeScript, workspacePath: string, jsDocuments: LanguageModelCache<TextDocument>): {
    updateCurrentTextDocument: (doc: TextDocument) => {
        service: ts.LanguageService;
        templateService: ts.LanguageService;
        scriptDoc: TextDocument;
    };
    updateExternalDocument: (filePath: string) => void;
    getScriptDocByFsPath: (fsPath: string) => TextDocument | undefined;
    dispose: () => void;
};
/**
 * If the path ends with `.vue.template`, it's a `.vue` file's template part
 * pre-processed by Vetur to calculate template diagnostics in TS Language Service
 */
export declare function isVirtualVueTemplateFile(path: string): boolean;
